TagLibraryInfo (JSP 2.3 API Documentation - Apache Tomcat 9.0.37)

javax.servlet.jsp.tagext

## Class TagLibraryInfo

- java.lang.Object
- - javax.servlet.jsp.tagext.TagLibraryInfo

-     public abstract class TagLibraryInfo
      extends java.lang.Object

  Translation-time information associated with a taglib directive, and its underlying TLD file. Most of the information is directly from the TLD, except for the prefix and the uri values used in the taglib directive

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected FunctionInfo[]` | `functions` An array describing the functions that are defined in this tag library.
    `protected java.lang.String` | `info` Information (documentation) for this TLD.
    `protected java.lang.String` | `jspversion` The version of the JSP specification this tag library is written to.
    `protected java.lang.String` | `prefix` The prefix assigned to this taglib from the taglib directive.
    `protected java.lang.String` | `shortname` The preferred short name (prefix) as indicated in the TLD.
    `protected TagFileInfo[]` | `tagFiles` An array describing the tag files that are defined in this tag library.
    `protected TagInfo[]` | `tags` An array describing the tags that are defined in this tag library.
    `protected java.lang.String` | `tlibversion` The version of the tag library.
    `protected java.lang.String` | `uri` The value of the uri attribute from the taglib directive for this library.
    `protected java.lang.String` | `urn` The "reliable" URN indicated in the TLD.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TagLibraryInfo(java.lang.String prefix, java.lang.String uri)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FunctionInfo` | `getFunction(java.lang.String name)` Get the FunctionInfo for a given function name, looking through all the functions in this tag library.
    `FunctionInfo[]` | `getFunctions()` An array describing the functions that are defined in this tag library.
    `java.lang.String` | `getInfoString()` Information (documentation) for this TLD.
    `java.lang.String` | `getPrefixString()` The prefix assigned to this taglib from the taglib directive
    `java.lang.String` | `getReliableURN()` The "reliable" URN indicated in the TLD (the uri element).
    `java.lang.String` | `getRequiredVersion()` A string describing the required version of the JSP container.
    `java.lang.String` | `getShortName()` The preferred short name (prefix) as indicated in the TLD.
    `TagInfo` | `getTag(java.lang.String shortname)` Get the TagInfo for a given tag name, looking through all the tags in this tag library.
    `TagFileInfo` | `getTagFile(java.lang.String shortname)` Get the TagFileInfo for a given tag name, looking through all the tag files in this tag library.
    `TagFileInfo[]` | `getTagFiles()` An array describing the tag files that are defined in this tag library.
    `abstract TagLibraryInfo[]` | `getTagLibraryInfos()` Returns an array of TagLibraryInfo objects representing the entire set of tag libraries (including this TagLibraryInfo) imported by taglib directives in the translation unit that references this TagLibraryInfo.
    `TagInfo[]` | `getTags()` An array describing the tags that are defined in this tag library.
    `java.lang.String` | `getURI()` The value of the uri attribute from the taglib directive for this library.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### prefix

          protected java.lang.String prefix

      The prefix assigned to this taglib from the taglib directive.

    - #### uri

          protected java.lang.String uri

      The value of the uri attribute from the taglib directive for this library.

    - #### tags

          protected TagInfo[] tags

      An array describing the tags that are defined in this tag library.

    - #### tagFiles

          protected TagFileInfo[] tagFiles

      An array describing the tag files that are defined in this tag library.
      Since:
        2.0

    - #### functions

          protected FunctionInfo[] functions

      An array describing the functions that are defined in this tag library.
      Since:
        2.0

    - #### tlibversion

          protected java.lang.String tlibversion

      The version of the tag library.

    - #### jspversion

          protected java.lang.String jspversion

      The version of the JSP specification this tag library is written to.

    - #### shortname

          protected java.lang.String shortname

      The preferred short name (prefix) as indicated in the TLD.

    - #### urn

          protected java.lang.String urn

      The "reliable" URN indicated in the TLD.

    - #### info

          protected java.lang.String info

      Information (documentation) for this TLD.

  - ### Constructor Detail

    - #### TagLibraryInfo

          protected TagLibraryInfo(java.lang.String prefix,
                                   java.lang.String uri)

      Constructor. This will invoke the constructors for TagInfo, and TagAttributeInfo after parsing the TLD file.
      Parameters:
        `prefix` - the prefix actually used by the taglib directive
        `uri` - the URI actually used by the taglib directive

  - ### Method Detail

    - #### getURI

          public java.lang.String getURI()

      The value of the uri attribute from the taglib directive for this library.
      Returns:
        the value of the uri attribute

    - #### getPrefixString

          public java.lang.String getPrefixString()

      The prefix assigned to this taglib from the taglib directive
      Returns:
        the prefix assigned to this taglib from the taglib directive

    - #### getShortName

          public java.lang.String getShortName()

      The preferred short name (prefix) as indicated in the TLD. This may be used by authoring tools as the preferred prefix to use when creating an taglib directive for this library.
      Returns:
        the preferred short name for the library

    - #### getReliableURN

          public java.lang.String getReliableURN()

      The "reliable" URN indicated in the TLD (the uri element). This may be used by authoring tools as a global identifier to use when creating a taglib directive for this library.
      Returns:
        a reliable URN to a TLD like this

    - #### getInfoString

          public java.lang.String getInfoString()

      Information (documentation) for this TLD.
      Returns:
        the info string for this tag lib

    - #### getRequiredVersion

          public java.lang.String getRequiredVersion()

      A string describing the required version of the JSP container.
      Returns:
        the (minimal) required version of the JSP container.
      See Also:
        `JspEngineInfo`

    - #### getTags

          public TagInfo[] getTags()

      An array describing the tags that are defined in this tag library.
      Returns:
        the TagInfo objects corresponding to the tags defined by this tag library, or a zero length array if this tag library defines no tags

    - #### getTagFiles

          public TagFileInfo[] getTagFiles()

      An array describing the tag files that are defined in this tag library.
      Returns:
        the TagFileInfo objects corresponding to the tag files defined by this tag library, or a zero length array if this tag library defines no tags files
      Since:
        2.0

    - #### getTag

          public TagInfo getTag(java.lang.String shortname)

      Get the TagInfo for a given tag name, looking through all the tags in this tag library.
      Parameters:
        `shortname` - The short name (no prefix) of the tag
      Returns:
        the TagInfo for the tag with the specified short name, or null if no such tag is found

    - #### getTagFile

          public TagFileInfo getTagFile(java.lang.String shortname)

      Get the TagFileInfo for a given tag name, looking through all the tag files in this tag library.
      Parameters:
        `shortname` - The short name (no prefix) of the tag
      Returns:
        the TagFileInfo for the specified Tag file, or null if no Tag file is found
      Since:
        2.0

    - #### getFunctions

          public FunctionInfo[] getFunctions()

      An array describing the functions that are defined in this tag library.
      Returns:
        the functions defined in this tag library, or a zero length array if the tag library defines no functions.
      Since:
        2.0

    - #### getFunction

          public FunctionInfo getFunction(java.lang.String name)

      Get the FunctionInfo for a given function name, looking through all the functions in this tag library.
      Parameters:
        `name` - The name (no prefix) of the function
      Returns:
        the FunctionInfo for the function with the given name, or null if no such function exists
      Since:
        2.0

    - #### getTagLibraryInfos

          public abstract TagLibraryInfo[] getTagLibraryInfos()

      Returns an array of TagLibraryInfo objects representing the entire set of tag libraries (including this TagLibraryInfo) imported by taglib directives in the translation unit that references this TagLibraryInfo. If a tag library is imported more than once and bound to different prefixes, only the TagLibraryInfo bound to the first prefix must be included in the returned array.
      Returns:
        Array of TagLibraryInfo objects representing the entire set of tag libraries (including this TagLibraryInfo) imported by taglib directives in the translation unit that references this TagLibraryInfo.
      Since:
        2.1

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.